
<div class="modal-header">
  <button class="hide-modal dismiss-button-pin" ng-click="ctrl.cancel()" title="{{'DIALOG_HIDE' | translate}}">
    <i class="fa fa-times"></i>
  </button>

 <div class="pin-code-modal-header"> {{'ENTER_PINCODE' | translate}} </div>
</div>

<div class="modal-body">
  <form class="form-inline">
    <div class="form-group">
      <p id="padlock">🔒</p>
      <input class="form-control text-center" type="password" autofocus ng-model="ctrl.pinCode" ng-keyup="ctrl.onKeyPress($event.keyCode)">
    </div>
  </form>
</div>

<div class="modal-footer">
  <button class="btn btn-primary pincode-submit" ng-click="ctrl.onSubmitPinModal()">{{'VALIDATE_PINCODE' | translate}}</button>
  <div class="alert alert-danger error-pin" role="alert" ng-if="ctrl.showError">{{'WRONG_PINCODE' | translate}}</div>
</div>
